Bug 103147 - Scenario selection menu and border not shown (.xslx)
Summary: Scenario selection menu and border not shown (.xslx)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Scenarios
  Show dependency treegraph
 
Reported: 2016-10-12 10:02 UTC by mrelwood
Modified: 2022-09-05 03:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
A spreadsheet (.xlsx) with two Scenarios and a screenshot to display the issue. (21.35 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-10-12 10:02 UTC, mrelwood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mrelwood 2016-10-12 10:02:49 UTC
Created attachment 127961 [details]
A spreadsheet (.xlsx) with two Scenarios and a screenshot to display the issue.

When reopening an .xlsx spreadsheet that has Scenarios, the "Display border" and "Copy back" options in Scenario properties have been removed from all Scenarios.

Reproduce:
- Open the attached "Scenarios border and menu lost.xlsx".

 OR:

- Create a spreadsheet, enter any data to cells, select the cells and click "Tools" -> "Scenarios...".
- Confirm that the checkboxes for "Show border" and "Copy back" are selected, and click "OK".
(The Scenario area is now surrounded with a border, and it has a drop-down menu for selecting a Scenario.)
- Save the spreadsheet as .xlsx.
- Close and reopen the spreadsheet.

What happens:
- The drop-down menu to select a Scenario has disappeared, as has the Scenario border.
- The "Copy back" option has also been removed from all Scenarios.
- Open the Navigator (F5), click the "Scenarios" icon, right-click a Scenario and select "Properties...". The "Show border" and "Copy back" checkboxes are unchecked for all Scenarios.

What was expected to happen:
- The Scenarios menu and border to show as they were when saving the spreadsheet.
- The "Copy back" option to remain as it were when the spreadsheet was saved.


The scenarios can still be selected from the Navigator, but in order to get the drop-down menu back, one has to edit Scenario properties manually and reselect "Show border".
The "Copy back" option has to be reselected manually for all Scenarios as well.


Happens in LibreOffice 5.2.2 Master on macOS Sierra 10.12, and based on other bug reports regarding Scenarios, I would suspect the Scenarios have never worked properly. The Scenarios only work with the .ods format, .xls breaks the Scenarios completely.
Comment 1 m.a.riosv 2016-10-12 11:59:23 UTC
Reproducible
Win10x64
Version: 5.2.2.2 (x64)
Build ID: 8f96e87c890bf8fa77463cd4b640a2312823f3ad
CPU Threads: 4; OS Version: Windows 6.19; UI Render: GL; 
Locale: es-ES (es_ES); Calc: CL
Comment 2 QA Administrators 2018-09-04 02:55:00 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2020-09-04 04:03:19 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2022-09-05 03:36:10 UTC
Dear mrelwood,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug